import { css } from 'lit-element';

var style = css`:host {
  display: block;
  position: relative;
  color: var(--fc-highlight-color, var(--gray-9));
  background: white;
  padding: 15px;
  background-color: var(--gray-0);
  border-radius: 8px;
  z-index: auto;
  min-height: 30px;
  overflow: auto;
}

code,
pre {
  color: var(--fc-highlight-color, var(--gray-9));
  font-family: 'Ubuntu Mono', monospace;
  font-size: 14px;
  background: var(--gray-0);
  overflow: auto;
}

code.title {
  font-size: 12px;
  display: block;
  color: rgba(73, 80, 87, 0.79);
  font-weight: 500;
  float: right;
  text-transform: uppercase;
}

#code code {
  white-space: pre;
}

#code pre {
  display: block;
  margin: 0;
  white-space: normal;
  overflow: auto;
  padding: 0;
}

#code code span {
  display: inline;
}

/*
#code code > span:first-child {
  display: block;
  float: left;
} */

/*
 *  Line below from: prismjs/themes/prism.css, with removal of overly specific
 *  selectors (primarily [class*=language-]) and selectors that collide with our
 *  global styling (primarly code & pre selectors).
 */
.token.cdata,
.token.comment,
.token.doctype,
.token.prolog {
  color: #708090;
}

.token.punctuation {
  color: #999;
}

.namespace {
  opacity: 0.7;
}

.token.boolean,
.token.constant,
.token.deleted,
.token.number,
.token.property,
.token.symbol,
.token.tag {
  color: var(--fc-highlight-tag-color, var(--red-9));
}

.token.attr-name,
.token.builtin,
.token.char,
.token.inserted,
.token.selector,
.token.string {
  color: var(--fc-highlight-attr-color, var(--teal-9));
}

.language-css .token.string,
.style .token.string,
.token.entity,
.token.operator,
.token.url {
  color: #a67f59;
  background: hsla(0, 0%, 100%, 0.5);
}

.token.atrule,
.token.attr-value,
.token.keyword {
  color: var(--fc-highlight-value-color, var(--cyan-9));
}

.token.class-name,
.token.function {
  color: #dd4a68;
}

.token.important,
.token.regex,
.token.variable {
  color: #e90;
}

.token.bold,
.token.important {
  font-weight: 700;
}

.token.italic {
  font-style: italic;
}

.token.entity {
  cursor: help;
}

.language-bash .token.operator,
.language-bash .token.function,
.language-bash .token.builtin {
  color: var(--gray-6);
  background: none;
}
`;

export default style;
//# sourceMappingURL=fc-highlight.css.map
